Package org.eclipse.viatra.query.patternlanguage.emf.vql.util

## Class PatternLanguageAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.util.PatternLanguageAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`

      public class PatternLanguageAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `PatternLanguagePackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static PatternLanguagePackage` | `modelPackage` | The cached model package.
    `protected PatternLanguageSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternLanguageAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` | Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatedValueAdapter()` | Creates a new adapter for an object of class '`Aggregated Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationAdapter()` | Creates a new adapter for an object of class '`Annotation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationParameterAdapter()` | Creates a new adapter for an object of class '`Annotation Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBoolValueAdapter()` | Creates a new adapter for an object of class '`Bool Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCallableRelationAdapter()` | Creates a new adapter for an object of class '`Callable Relation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCheckConstraintAdapter()` | Creates a new adapter for an object of class '`Check Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createClassTypeAdapter()` | Creates a new adapter for an object of class '`Class Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCompareConstraintAdapter()` | Creates a new adapter for an object of class '`Compare Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComputationValueAdapter()` | Creates a new adapter for an object of class '`Computation Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstraintAdapter()` | Creates a new adapter for an object of class '`Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEClassifierConstraintAdapter()` | Creates a new adapter for an object of class '`EClassifier Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEntityTypeAdapter()` | Creates a new adapter for an object of class '`Entity Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEnumValueAdapter()` | Creates a new adapter for an object of class '`Enum Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionAdapter()` | Creates a new adapter for an object of class '`Expression`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFunctionEvaluationValueAdapter()` | Creates a new adapter for an object of class '`Function Evaluation Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJavaConstantValueAdapter()` | Creates a new adapter for an object of class '`Java Constant Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJavaTypeAdapter()` | Creates a new adapter for an object of class '`Java Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createListValueAdapter()` | Creates a new adapter for an object of class '`List Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLiteralValueReferenceAdapter()` | Creates a new adapter for an object of class '`Literal Value Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLocalVariableAdapter()` | Creates a new adapter for an object of class '`Local Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createModifiersAdapter()` | Creates a new adapter for an object of class '`Modifiers`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNumberValueAdapter()` | Creates a new adapter for an object of class '`Number Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPackageImportAdapter()` | Creates a new adapter for an object of class '`Package Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` | Creates a new adapter for an object of class '`Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterRefAdapter()` | Creates a new adapter for an object of class '`Parameter Ref`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPathExpressionConstraintAdapter()` | Creates a new adapter for an object of class '`Path Expression Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternAdapter()` | Creates a new adapter for an object of class '`Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternBodyAdapter()` | Creates a new adapter for an object of class '`Pattern Body`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCallAdapter()` | Creates a new adapter for an object of class '`Pattern Call`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCompositionConstraintAdapter()` | Creates a new adapter for an object of class '`Pattern Composition Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternImportAdapter()` | Creates a new adapter for an object of class '`Pattern Import`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternModelAdapter()` | Creates a new adapter for an object of class '`Pattern Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReferenceTypeAdapter()` | Creates a new adapter for an object of class '`Reference Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRelationTypeAdapter()` | Creates a new adapter for an object of class '`Relation Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStringValueAdapter()` | Creates a new adapter for an object of class '`String Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypeAdapter()` | Creates a new adapter for an object of class '`Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypeCheckConstraintAdapter()` | Creates a new adapter for an object of class '`Type Check Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUnaryTypeConstraintAdapter()` | Creates a new adapter for an object of class '`Unary Type Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueReferenceAdapter()` | Creates a new adapter for an object of class '`Value Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAdapter()` | Creates a new adapter for an object of class '`Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableReferenceAdapter()` | Creates a new adapter for an object of class '`Variable Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVQLImportSectionAdapter()` | Creates a new adapter for an object of class '`VQL Import Section`'.
    `org.eclipse.emf.common.notify.Adapter` | `createXImportSectionAdapter()` | Creates a new adapter for an object of class '`XImport Section`'.
    `boolean` | `isFactoryForType​(java.lang.Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static PatternLanguagePackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected PatternLanguageSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### PatternLanguageAdapterFactory

          public PatternLanguageAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createVQLImportSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createVQLImportSectionAdapter()

      Creates a new adapter for an object of class '`VQL Import Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VQLImportSection`
      Generated:

    - #### createPackageImportAdapter

          public org.eclipse.emf.common.notify.Adapter createPackageImportAdapter()

      Creates a new adapter for an object of class '`Package Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PackageImport`
      Generated:

    - #### createPatternImportAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternImportAdapter()

      Creates a new adapter for an object of class '`Pattern Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternImport`
      Generated:

    - #### createEClassifierConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createEClassifierConstraintAdapter()

      Creates a new adapter for an object of class '`EClassifier Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EClassifierConstraint`
      Generated:

    - #### createEnumValueAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumValueAdapter()

      Creates a new adapter for an object of class '`Enum Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EnumValue`
      Generated:

    - #### createPatternModelAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternModelAdapter()

      Creates a new adapter for an object of class '`Pattern Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternModel`
      Generated:

    - #### createClassTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createClassTypeAdapter()

      Creates a new adapter for an object of class '`Class Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ClassType`
      Generated:

    - #### createReferenceTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createReferenceTypeAdapter()

      Creates a new adapter for an object of class '`Reference Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReferenceType`
      Generated:

    - #### createPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternAdapter()

      Creates a new adapter for an object of class '`Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Pattern`
      Generated:

    - #### createAnnotationAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationAdapter()

      Creates a new adapter for an object of class '`Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Annotation`
      Generated:

    - #### createAnnotationParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationParameterAdapter()

      Creates a new adapter for an object of class '`Annotation Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AnnotationParameter`
      Generated:

    - #### createModifiersAdapter

          public org.eclipse.emf.common.notify.Adapter createModifiersAdapter()

      Creates a new adapter for an object of class '`Modifiers`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Modifiers`
      Generated:

    - #### createExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()

      Creates a new adapter for an object of class '`Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Expression`
      Generated:

    - #### createVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

      Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Variable`
      Generated:

    - #### createVariableReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableReferenceAdapter()

      Creates a new adapter for an object of class '`Variable Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableReference`
      Generated:

    - #### createTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeAdapter()

      Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Type`
      Generated:

    - #### createEntityTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityTypeAdapter()

      Creates a new adapter for an object of class '`Entity Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EntityType`
      Generated:

    - #### createPatternBodyAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternBodyAdapter()

      Creates a new adapter for an object of class '`Pattern Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternBody`
      Generated:

    - #### createConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

      Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Constraint`
      Generated:

    - #### createPatternCallAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCallAdapter()

      Creates a new adapter for an object of class '`Pattern Call`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCall`
      Generated:

    - #### createValueReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createValueReferenceAdapter()

      Creates a new adapter for an object of class '`Value Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueReference`
      Generated:

    - #### createLiteralValueReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createLiteralValueReferenceAdapter()

      Creates a new adapter for an object of class '`Literal Value Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LiteralValueReference`
      Generated:

    - #### createComputationValueAdapter

          public org.eclipse.emf.common.notify.Adapter createComputationValueAdapter()

      Creates a new adapter for an object of class '`Computation Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComputationValue`
      Generated:

    - #### createParameterRefAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterRefAdapter()

      Creates a new adapter for an object of class '`Parameter Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterRef`
      Generated:

    - #### createParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

      Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Parameter`
      Generated:

    - #### createLocalVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createLocalVariableAdapter()

      Creates a new adapter for an object of class '`Local Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LocalVariable`
      Generated:

    - #### createJavaTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaTypeAdapter()

      Creates a new adapter for an object of class '`Java Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JavaType`
      Generated:

    - #### createRelationTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationTypeAdapter()

      Creates a new adapter for an object of class '`Relation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationType`
      Generated:

    - #### createTypeCheckConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeCheckConstraintAdapter()

      Creates a new adapter for an object of class '`Type Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TypeCheckConstraint`
      Generated:

    - #### createPatternCompositionConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCompositionConstraintAdapter()

      Creates a new adapter for an object of class '`Pattern Composition Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCompositionConstraint`
      Generated:

    - #### createCompareConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createCompareConstraintAdapter()

      Creates a new adapter for an object of class '`Compare Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CompareConstraint`
      Generated:

    - #### createCheckConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

      Creates a new adapter for an object of class '`Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CheckConstraint`
      Generated:

    - #### createPathExpressionConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createPathExpressionConstraintAdapter()

      Creates a new adapter for an object of class '`Path Expression Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathExpressionConstraint`
      Generated:

    - #### createStringValueAdapter

          public org.eclipse.emf.common.notify.Adapter createStringValueAdapter()

      Creates a new adapter for an object of class '`String Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StringValue`
      Generated:

    - #### createNumberValueAdapter

          public org.eclipse.emf.common.notify.Adapter createNumberValueAdapter()

      Creates a new adapter for an object of class '`Number Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NumberValue`
      Generated:

    - #### createBoolValueAdapter

          public org.eclipse.emf.common.notify.Adapter createBoolValueAdapter()

      Creates a new adapter for an object of class '`Bool Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BoolValue`
      Generated:

    - #### createListValueAdapter

          public org.eclipse.emf.common.notify.Adapter createListValueAdapter()

      Creates a new adapter for an object of class '`List Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ListValue`
      Generated:

    - #### createFunctionEvaluationValueAdapter

          public org.eclipse.emf.common.notify.Adapter createFunctionEvaluationValueAdapter()

      Creates a new adapter for an object of class '`Function Evaluation Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FunctionEvaluationValue`
      Generated:

    - #### createAggregatedValueAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatedValueAdapter()

      Creates a new adapter for an object of class '`Aggregated Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatedValue`
      Generated:

    - #### createCallableRelationAdapter

          public org.eclipse.emf.common.notify.Adapter createCallableRelationAdapter()

      Creates a new adapter for an object of class '`Callable Relation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CallableRelation`
      Generated:

    - #### createUnaryTypeConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createUnaryTypeConstraintAdapter()

      Creates a new adapter for an object of class '`Unary Type Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UnaryTypeConstraint`
      Generated:

    - #### createJavaConstantValueAdapter

          public org.eclipse.emf.common.notify.Adapter createJavaConstantValueAdapter()

      Creates a new adapter for an object of class '`Java Constant Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JavaConstantValue`
      Generated:

    - #### createXImportSectionAdapter

          public org.eclipse.emf.common.notify.Adapter createXImportSectionAdapter()

      Creates a new adapter for an object of class '`XImport Section`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        2.7
      See Also:
        `XImportSection`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: